LibreOffice LibreOffice 6.1 SDK API Reference

Modules | Variables
ErrorBarStyle.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::chart
| Charting diagram interfaces.

## Constant Groups
constants | com::sun::star::chart::ErrorBarStyle
| specifies the style of error indicators.

## Variables
const long | NONE = 0
| error indicators are not displayed. More...
const long | VARIANCE = 1
| displays error indicators for the variance of the data. More...
const long | STANDARD_DEVIATION = 2
| displays error indicators for the standard deviation (square root of variance) of the data. More...
const long | ABSOLUTE = 3
| the error indicators for all data points have the same absolute value as length for either direction. More...
const long | RELATIVE = 4
| The length of the error indicators is calculated for each data point by taking the percentage given as ChartStatistics::PercentageError of its value. More...
const long | ERROR_MARGIN = 5
| The length of the error indicators for all data points is calculated by taking the percentage given as ChartStatistics::ErrorMargin of the largest data point value. More...
const long | STANDARD_ERROR = 6
| displays error indicators for the standard error, also known as the standard deviation of the mean (SDOM). More...
const long | FROM_DATA = 7
| Uses values given by cell ranges of the container document. More...